#!/bin/bash
if [ -z "$1" ]; then export PREFIX=../data; else export PREFIX=$1; fi
if [ -z $BIN ]; then export BIN=vargibbs; fi
if [ -z $VER ]; then export VER=./; fi
set -e
export WD=${VER}DLD-verify
mkdir -pv $WD

#Note the added nucleotides for LNA conversion W=+A R=+T N=+G Z=+C
#To better visualize your results run
#sed -e 's/W/+A/g; s/R/+T/g; s/N/+G/g; s/Z/+C/g' AOP-verify.dat
$BIN  -o=${WD}/AOP-verify -par=${PREFIX}/AOP-CMB.par,${PREFIX}/AOP-LNA.par -printusedpar=1 -calc=prediction -data=${PREFIX}/fakhfakh15-tab1.dat,${PREFIX}/fakhfakh15-tab2.dat,${PREFIX}/you06.dat,${PREFIX}/mctigue04.dat -dict=W:W,R:R,Z:Z,N:N


$BIN  -o=${WD}/OW11-verify -par=${PREFIX}/AOP-CMB.par,${PREFIX}/P-OW11-T2.par -printusedpar=1 -calc=prediction -data=${PREFIX}/fakhfakh15-tab1.dat,${PREFIX}/fakhfakh15-tab2.dat,${PREFIX}/you06.dat,${PREFIX}/mctigue04.dat -dict=W:W,R:R,Z:Z,N:N
